import request from '@/utils/request'

// 获取物料列表信息以及表头字段
export function materialList(data) {

  return request({
    url: `/system/material/list`,
    method: 'post',
    data: data
  })
}

// 获取物料基本信息详细信息
export function materialDetails(id, templateCode) {
  return request({
    url: `/system/material/details/${id}`,
    method: 'get',
    params: { templateCode }
  })
}

// 获取医药行业信息详细信息+表单属性
export function medcineDetails(id, templateCode) {
  return request({
    url: `/system/medcine/details/${id}`,
    method: 'get',
    params: { templateCode }
  })
}


// 查询成本信息列表+表头
export function costList(data) {
  return request({
    url: `/system/cost/list`,
    method: 'post',
    data: data
  })
}

// 查询财务信息列表
export function financeList(data) {
  return request({
    url: `/system/finance/list`,
    method: 'post',
    data: data
  })
}

// 获取物料辅助属性详细信息+表单列段属性   /dev-api/drp-admin/system/property/details/{id}
// export function medcineDetails(id, templateCode) {
//   return request({
//     url: `/system/medcine/details/${id}`,
//     method: 'get',
//     params: { templateCode }
//   })
// }

// 查询物料辅助属性列表+表头字段   /dev-api/drp-admin/system/property/list
// export function financeList(data) {
//   return request({
//     url: `/system/finance/list`,
//     method: 'post',
//     data: data
//   })
// }


//获取辅助计量单位基本信息+表单列段属性 /dev-api/drp-admin/system/unit/details/{materialId}
// export function medcineDetails(id, templateCode) {
//   return request({
//     url: `/system/medcine/details/${id}`,
//     method: 'get',
//     params: { templateCode }
//   })
// }

//获取辅计量管理列表信息+表头字段 /dev-api/drp-admin/system/unit/list
// export function financeList(data) {
//   return request({
//     url: `/system/finance/list`,
//     method: 'post',
//     data: data
//   })
// }